# Package org.codehaus.plexus.component.manager

Interface Summary
Interface | Description
--- | ---
ComponentManager | Manages a component manager.
ComponentManagerManager |

Class Summary
Class | Description
--- | ---
AbstractComponentManager |
ClassicSingletonComponentManager | This ensures only a single manager of a a component exists.
DefaultComponentManagerManager |
KeepAliveSingletonComponentManager | This ensures a component is only used as a singleton, and is only shutdown when the container shuts down.
PerLookupComponentManager | Creates a new component manager for every lookup

Exception Summary
Exception | Description
--- | ---
UndefinedComponentManagerException |